Skip to main content
Resource Center/Resource Pool/Volume Operations

GetVolumeQoS

GetVolumeQoS

GET/zstack/v1/volumes/{uuid}/qos

Operation ID

GetVolumeQoS

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The volume UUID.

Query Parameters

  • systemTags
    List

    Optional.

  • userTags
    List

    Optional.

Body Fields

  • forceSync
    Boolean

    Optional. Whether to synchronize the data on the host.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • volumeUuid
    StringRequired

    The volume UUID.

  • volumeBandwidth
    longRequired

    The volume bandwidth. Default value: -1.

  • volumeBandwidthRead
    longRequired

    The volume read bandwidth. Default value: -1.

  • volumeBandwidthWrite
    longRequired

    The volume write bandwidth. Default value: -1.

  • volumeBandwidthUpthreshold
    longRequired

    The volume bandwidth. Default value: -1.

  • volumeBandwidthReadUpthreshold
    longRequired

    The maximum volume read bandwidth. Default value: -1.

  • volumeBandwidthWriteUpthreshold
    longRequired

    The maximum volume write bandwidth. Default value: -1.

  • iopsTotalUpthreshold
    longRequired

    The volume IOPS. Default value: -1. This value indicates that the volume IOPS is unlimited.

  • iopsReadUpthreshold
    longRequired

    The read IOPS of a volume. Default value: -1. This value indicates that the read IOPS is unlimited.

  • iopsWriteUpthreshold
    longRequired

    The write IOPS of a volume. Default value: -1. This value indicates that the write IOPS is unlimited.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.